<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Student Form</title>
    <link th:rel="stylesheet" th:href="@{/webjars/bootstrap/css/bootstrap.min.css} "/>
    <script defer th:src="@{/webjars/bootstrap/js/bootstrap.bundle.min.js}"></script>
</head>
<body>
<section class="container">
    <header>
        <h1>Enter the student data</h1>
    </header>
    <form method="post" th:object="${student}">
        <div th:if="${#fields.hasAnyErrors()}" class="alert alert-danger">
            Please correct the errors below...
        </div>
        <div class="mb-3">
            <label th:for="*{name}" class="form-label">Name:</label>
            <input type="text" th:field="*{name}" class="form-control">
            <div th:if="${#fields.hasErrors('name')}" th:errors="*{name}"
                 class="alert alert-danger"></div>
        </div>
        <div class="mb-3">
            <label th:for="*{birthday}" class="form-label">Birthday:</label>
            <input type="date" th:field="*{birthday}" class="form-control">
            <div th:if="${#fields.hasErrors('birthday')}" th:errors="*{birthday}"
                 class="alert alert-danger"></div>
        </div>
        <div class="mb-3">
            <label th:for="*{credits}" class="form-label">Credits:</label>
            <input type="number" th:field="*{credits}" class="form-control">
            <div th:if="${#fields.hasErrors('credits')}" th:errors="*{credits}"
                 class="alert alert-danger"></div>
        </div>
        <div class="mb-3">
            <label th:for="*{country}" class="form-label">Country:</label>
            <input type="text" th:field="*{country}" class="form-control">
            <div th:if="${#fields.hasErrors('country')}" th:errors="*{country}"
                 class="alert alert-danger"></div>
        </div>
        <div>
            <button type="submit" class="btn btn-primary">Add Student</button>
        </div>
    </form>
</section>
</body>
</html>